<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/DayZAnimEventMaps.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d35/_day_z_anim_event_maps_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">DayZAnimEventMaps.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/d35/_day_z_anim_event_maps_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../de/d35/_day_z_anim_event_maps_8c.html#ad000e965cfc63ffa29381ef4c144f577">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/d4d/class_sound_lookup_table.html">SoundLookupTable</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d4/d4d/class_sound_lookup_table.html#af6545e6498afc26a0df32f2dd14004f9">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d4d/class_sound_lookup_table.html#af6545e6498afc26a0df32f2dd14004f9">SoundLookupTable</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../d4/d4d/class_sound_lookup_table.html#a527f20458515b50c84f754f769d2c35f">m_soundBuilders</a> = <span class="keyword">new</span> <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int, ref array&lt;SoundObjectBuilder&gt;</a>&gt;();</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d4/d4d/class_sound_lookup_table.html#a91edb2bd4fde994fa8a972f3ca61c276">    8</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d4d/class_sound_lookup_table.html#a91edb2bd4fde994fa8a972f3ca61c276">InitTable</a>(<span class="keywordtype">string</span> tableCategoryName, <span class="keywordtype">string</span> parameterName)</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_variable" href="../../d4/d4d/class_sound_lookup_table.html#a7e7b56ad2bc4aae29c3a9d6cd1aae793">m_tableCategoryName</a> = tableCategoryName;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_variable" href="../../d4/d4d/class_sound_lookup_table.html#adc0c3f1dec56392254740001d650d6ea">m_parameterName</a> = parameterName;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    }</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d4/d4d/class_sound_lookup_table.html#a2245278e902d1084dd77096bac226690">   14</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d4d/class_sound_lookup_table.html#a2245278e902d1084dd77096bac226690">LoadTable</a>(<span class="keywordtype">string</span> soundLookupTableName)</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a> = <span class="stringliteral">&quot;CfgSoundTables &quot;</span> + <a class="code hl_variable" href="../../d4/d4d/class_sound_lookup_table.html#a7e7b56ad2bc4aae29c3a9d6cd1aae793">m_tableCategoryName</a> + <span class="stringliteral">&quot; &quot;</span> + soundLookupTableName;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="comment">//load all classes names</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordtype">int</span> soundCount = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aca38b9a2b4a3fee55c9e4dfc64df2a3b">ConfigGetChildrenCount</a>(<a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a>);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; soundCount; i++)</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            <span class="keywordtype">string</span> soundClassName;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a03909ec186a2f1d7c5c649a80f4819b6">ConfigGetChildName</a>(<a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a>, i, soundClassName);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <span class="keywordtype">string</span> soundClassPath = <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a> + <span class="stringliteral">&quot; &quot;</span> + soundClassName + <span class="stringliteral">&quot; &quot;</span>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <span class="keywordtype">string</span> parameter;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a87b6e86f92ca647026095bb221c98650">ConfigGetText</a>(soundClassPath + <a class="code hl_variable" href="../../d4/d4d/class_sound_lookup_table.html#adc0c3f1dec56392254740001d650d6ea">m_parameterName</a>, parameter);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> soundSetNames = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a7cc2a75cac35759a1bdffa796ff0aa65">ConfigGetTextArray</a>(soundClassPath + <span class="stringliteral">&quot;soundSets&quot;</span>, soundSetNames);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            <span class="comment">//TODO create SoundObject for every entry, save in Game?</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;SoundObjectBuilder&gt;</a> soundObjectBuilders = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;SoundObjectBuilder&gt;</a>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            <span class="keywordflow">for</span>(<span class="keywordtype">int</span> j = 0; j &lt; soundSetNames.Count(); j++)</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>                <a class="code hl_function" href="../../de/d35/_day_z_anim_event_maps_8c.html#afc0ccb865e0b295172b8dbed472db090">AnimSoundObjectBuilderBank</a> bank = <a class="code hl_function" href="../../de/d35/_day_z_anim_event_maps_8c.html#afc0ccb865e0b295172b8dbed472db090">AnimSoundObjectBuilderBank</a>.GetInstance();</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>                <a class="code hl_class" href="../../d5/db9/class_sound_object_builder.html">SoundObjectBuilder</a> soundObjectBuilder = bank.GetBuilder(soundSetNames.Get(j));</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                <span class="keywordflow">if</span>(soundObjectBuilder != NULL)</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>                    soundObjectBuilders.Insert(soundObjectBuilder);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <span class="keywordflow">if</span>(soundObjectBuilders.Count() &gt; 0)</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>                <span class="comment">//Print(&quot;SoundLookupTable::LoadTable: path: &quot; + path + &quot; param:&quot; + parameter + &quot; param#:&quot; + parameter.Hash() + &quot; objBuildersCount: &quot; + soundObjectBuilders.Count());</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                <a class="code hl_variable" href="../../d4/d4d/class_sound_lookup_table.html#a527f20458515b50c84f754f769d2c35f">m_soundBuilders</a>.Insert(parameter.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga91035ed8b0f7e79fd215c36ddcf83bef">Hash</a>(), soundObjectBuilders);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d4/d4d/class_sound_lookup_table.html#a58af179b4a3b943c0a7f700704e4810f">   52</a></span>    <a class="code hl_class" href="../../d5/db9/class_sound_object_builder.html">SoundObjectBuilder</a> <a class="code hl_function" href="../../d4/d4d/class_sound_lookup_table.html#a58af179b4a3b943c0a7f700704e4810f">GetSoundBuilder</a>(<span class="keywordtype">int</span> parameterHash)</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;SoundObjectBuilder&gt;</a> soundObjects = <a class="code hl_variable" href="../../d4/d4d/class_sound_lookup_table.html#a527f20458515b50c84f754f769d2c35f">m_soundBuilders</a>.Get(parameterHash);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">if</span>(soundObjects == NULL || soundObjects.Count() == 0)</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            <span class="keywordflow">return</span> NULL;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (soundObjects.Count() == 1)</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            <span class="keywordflow">return</span> soundObjects.Get(0);</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            <span class="keywordtype">int</span> index = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gac34f9f8daa0e311b6a6b40cc21d38226">RandomInt</a>(0, soundObjects.Count());</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            <span class="keywordflow">return</span> soundObjects.Get(index);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../d4/d4d/class_sound_lookup_table.html#a7e7b56ad2bc4aae29c3a9d6cd1aae793">   72</a></span>    <span class="keyword">private</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d4/d4d/class_sound_lookup_table.html#a7e7b56ad2bc4aae29c3a9d6cd1aae793">m_tableCategoryName</a>;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../d4/d4d/class_sound_lookup_table.html#adc0c3f1dec56392254740001d650d6ea">   73</a></span>    <span class="keyword">private</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d4/d4d/class_sound_lookup_table.html#adc0c3f1dec56392254740001d650d6ea">m_parameterName</a>;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../d4/d4d/class_sound_lookup_table.html#a527f20458515b50c84f754f769d2c35f">   74</a></span>    <span class="keyword">private</span> ref <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int, ref array&lt;SoundObjectBuilder&gt;</a>&gt; <a class="code hl_variable" href="../../d4/d4d/class_sound_lookup_table.html#a527f20458515b50c84f754f769d2c35f">m_soundBuilders</a>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>}</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="keyword">class </span><a class="code hl_function" href="../../de/d35/_day_z_anim_event_maps_8c.html#ad000e965cfc63ffa29381ef4c144f577">StepSoundLookupTable</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d4/d4d/class_sound_lookup_table.html">SoundLookupTable</a></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>{</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d35/_day_z_anim_event_maps_8c.html#ad000e965cfc63ffa29381ef4c144f577">StepSoundLookupTable</a>()</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="../../de/d35/_day_z_anim_event_maps_8c.html#afb531fcd488c2ce500f77c4e28d46640">   81</a></span>    {</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <a class="code hl_function" href="../../d4/d4d/class_sound_lookup_table.html#a91edb2bd4fde994fa8a972f3ca61c276">InitTable</a>(<span class="stringliteral">&quot;CfgStepSoundTables&quot;</span>, <span class="stringliteral">&quot;surface&quot;</span>);</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    }</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>}</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../de/d35/_day_z_anim_event_maps_8c.html#a46076201f6a8dfbb5075e959ec426b77">   86</a></span><span class="keyword">class </span>AttachmentSoundLookupTable <span class="keyword">extends</span> <a class="code hl_class" href="../../d4/d4d/class_sound_lookup_table.html">SoundLookupTable</a></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>{</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="../../d4/d4d/class_sound_lookup_table.html#a0965cc11036d03ca5fa981a57ae85028">   88</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d4d/class_sound_lookup_table.html#a0965cc11036d03ca5fa981a57ae85028">AttachmentSoundLookupTable</a>()</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    {</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <a class="code hl_function" href="../../d4/d4d/class_sound_lookup_table.html#a91edb2bd4fde994fa8a972f3ca61c276">InitTable</a>(<span class="stringliteral">&quot;CfgAttachmentSoundTables&quot;</span>, <span class="stringliteral">&quot;category&quot;</span>);</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="../../de/d35/_day_z_anim_event_maps_8c.html#a2027ce09ddb91b8544891b922e6ebf41">   92</a></span>}</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span> </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span><span class="keyword">class </span><a class="code hl_function" href="../../de/d35/_day_z_anim_event_maps_8c.html#a141a6e60fcdd9ee1da8561f10c0fd3ef">PlayerVoiceLookupTable</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d4/d4d/class_sound_lookup_table.html">SoundLookupTable</a></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>{</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../de/d35/_day_z_anim_event_maps_8c.html#ab9c7184df81378d39214d47a4f9264e5">   96</a></span>    ref <a class="code hl_function" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a> <a class="code hl_variable" href="../../de/d35/_day_z_anim_event_maps_8c.html#ab9c7184df81378d39214d47a4f9264e5">m_NoiseParams</a>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="../../de/d35/_day_z_anim_event_maps_8c.html#a141a6e60fcdd9ee1da8561f10c0fd3ef">   98</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d35/_day_z_anim_event_maps_8c.html#a141a6e60fcdd9ee1da8561f10c0fd3ef">PlayerVoiceLookupTable</a>()</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <a class="code hl_function" href="../../d4/d4d/class_sound_lookup_table.html#a91edb2bd4fde994fa8a972f3ca61c276">InitTable</a>(<span class="stringliteral">&quot;CfgVoiceSoundTables&quot;</span>, <span class="stringliteral">&quot;category&quot;</span>);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../de/d35/_day_z_anim_event_maps_8c.html#a571a3dab629c60f9d33bfde297fcf9ef">  103</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d35/_day_z_anim_event_maps_8c.html#a571a3dab629c60f9d33bfde297fcf9ef">SetNoiseParam</a>(<a class="code hl_function" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a> param)</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <a class="code hl_variable" href="../../de/d35/_day_z_anim_event_maps_8c.html#ab9c7184df81378d39214d47a4f9264e5">m_NoiseParams</a> = param;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="../../de/d35/_day_z_anim_event_maps_8c.html#ad9f3c2bae4fe40eb592729f491a46fee">  108</a></span>    <a class="code hl_function" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a> <a class="code hl_function" href="../../de/d35/_day_z_anim_event_maps_8c.html#ad9f3c2bae4fe40eb592729f491a46fee">GetNoiseParam</a>()</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    {</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../de/d35/_day_z_anim_event_maps_8c.html#ab9c7184df81378d39214d47a4f9264e5">m_NoiseParams</a>;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>}</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span> </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span> </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno"><a class="line" href="../../de/d35/_day_z_anim_event_maps_8c.html#afc0ccb865e0b295172b8dbed472db090">  115</a></span><span class="keyword">class </span><a class="code hl_function" href="../../de/d35/_day_z_anim_event_maps_8c.html#ad59a99ed85a8b0e7b1e73903de0cb1a4">ImpactSoundLookupTable</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d4/d4d/class_sound_lookup_table.html">SoundLookupTable</a></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>{</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno"><a class="line" href="../../d4/d4d/class_sound_lookup_table.html#a84ae79b40db0c4ecc3b079ab2e7a6b8a">  117</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d4d/class_sound_lookup_table.html#a84ae79b40db0c4ecc3b079ab2e7a6b8a">ImpactSoundLookupTable</a>()</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    {</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <a class="code hl_function" href="../../d4/d4d/class_sound_lookup_table.html#a91edb2bd4fde994fa8a972f3ca61c276">InitTable</a>(<span class="stringliteral">&quot;CfgImpactSoundTables&quot;</span>, <span class="stringliteral">&quot;surface&quot;</span>);</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>}</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span> </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span><span class="keyword">class </span><a class="code hl_function" href="../../de/d35/_day_z_anim_event_maps_8c.html#afc0ccb865e0b295172b8dbed472db090">AnimSoundObjectBuilderBank</a></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>{</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d35/_day_z_anim_event_maps_8c.html#afc0ccb865e0b295172b8dbed472db090">AnimSoundObjectBuilderBank</a>()</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno"><a class="line" href="../../de/d35/_day_z_anim_event_maps_8c.html#ad59a99ed85a8b0e7b1e73903de0cb1a4">  127</a></span>    {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <a class="code hl_variable" href="../../de/d35/_day_z_anim_event_maps_8c.html#af4ba41b575d1dddb6d07b2fd038b6c0b">m_pBuilders</a> = <span class="keyword">new</span> <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int, ref SoundObjectBuilder&gt;</a>();</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    }</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="../../de/d35/_day_z_anim_event_maps_8c.html#ad37e89c4ae2686dd6928d2070d9b6207">  130</a></span> </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span> </div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno"><a class="line" href="../../de/d35/_day_z_anim_event_maps_8c.html#ac7bf143b27c9ffb99061980c00a31d40">  132</a></span>    <span class="keyword">static</span> <a class="code hl_function" href="../../de/d35/_day_z_anim_event_maps_8c.html#afc0ccb865e0b295172b8dbed472db090">AnimSoundObjectBuilderBank</a> <a class="code hl_function" href="../../de/d35/_day_z_anim_event_maps_8c.html#ac7bf143b27c9ffb99061980c00a31d40">GetInstance</a>()</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    {</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        <span class="keywordflow">if</span>(<a class="code hl_variable" href="../../de/d35/_day_z_anim_event_maps_8c.html#adceb43f712de5b9513cba768e0b6fd23">m_instance</a> == NULL)</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            <a class="code hl_variable" href="../../de/d35/_day_z_anim_event_maps_8c.html#adceb43f712de5b9513cba768e0b6fd23">m_instance</a> = <span class="keyword">new</span> <a class="code hl_function" href="../../de/d35/_day_z_anim_event_maps_8c.html#afc0ccb865e0b295172b8dbed472db090">AnimSoundObjectBuilderBank</a>();</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span> </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../de/d35/_day_z_anim_event_maps_8c.html#adceb43f712de5b9513cba768e0b6fd23">m_instance</a>;</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    }</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span> </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span> </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno"><a class="line" href="../../de/d35/_day_z_anim_event_maps_8c.html#a2fef1b7089ac6ac987f60135be3316e3">  141</a></span>    <a class="code hl_class" href="../../d5/db9/class_sound_object_builder.html">SoundObjectBuilder</a> <a class="code hl_function" href="../../de/d35/_day_z_anim_event_maps_8c.html#a2fef1b7089ac6ac987f60135be3316e3">GetBuilder</a>(<span class="keywordtype">string</span> soundSetName)</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    {</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        <span class="keywordtype">int</span> soundSetNameHash = soundSetName.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga91035ed8b0f7e79fd215c36ddcf83bef">Hash</a>();</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span> </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        <a class="code hl_class" href="../../d5/db9/class_sound_object_builder.html">SoundObjectBuilder</a> builder = <a class="code hl_variable" href="../../de/d35/_day_z_anim_event_maps_8c.html#af4ba41b575d1dddb6d07b2fd038b6c0b">m_pBuilders</a>.Get(soundSetNameHash);</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        <span class="keywordflow">if</span>(builder == NULL)</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        {</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            <a class="code hl_class" href="../../d8/d6b/class_sound_params.html">SoundParams</a> params = <span class="keyword">new</span> <a class="code hl_class" href="../../d8/d6b/class_sound_params.html">SoundParams</a>(soundSetName);</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>            <span class="keywordflow">if</span>(params.<a class="code hl_function" href="../../d8/d6b/class_sound_params.html#a6dae982ef30518465da3e3d54395fc3c">IsValid</a>())</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno"><a class="line" href="../../de/d35/_day_z_anim_event_maps_8c.html#abe8172e833790c64d5c51310815e5f25">  150</a></span>            {</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="../../de/d35/_day_z_anim_event_maps_8c.html#a5b2b5522729bae2b361a0c4526fcd74d">  151</a></span>                builder = <span class="keyword">new</span> <a class="code hl_class" href="../../d5/db9/class_sound_object_builder.html">SoundObjectBuilder</a>(params);</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno"><a class="line" href="../../de/d35/_day_z_anim_event_maps_8c.html#abf9075834ed625027c8138297cd84b48">  152</a></span>                <a class="code hl_variable" href="../../de/d35/_day_z_anim_event_maps_8c.html#af4ba41b575d1dddb6d07b2fd038b6c0b">m_pBuilders</a>.Insert(soundSetNameHash, builder);</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            }</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>            {</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>                <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;AnimSoundObjectBuilderBank: Invalid sound set \&quot;&quot;</span> + soundSetName + <span class="stringliteral">&quot;\&quot;.&quot;</span>);</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>                <span class="keywordflow">return</span> NULL;</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>            }</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        }</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        <span class="keywordflow">return</span> builder;</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    }</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span> </div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno"><a class="line" href="../../de/d35/_day_z_anim_event_maps_8c.html#adceb43f712de5b9513cba768e0b6fd23">  163</a></span>    <span class="keyword">private</span> <span class="keyword">static</span> ref <a class="code hl_function" href="../../de/d35/_day_z_anim_event_maps_8c.html#afc0ccb865e0b295172b8dbed472db090">AnimSoundObjectBuilderBank</a> <a class="code hl_variable" href="../../de/d35/_day_z_anim_event_maps_8c.html#adceb43f712de5b9513cba768e0b6fd23">m_instance</a>;</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno"><a class="line" href="../../de/d35/_day_z_anim_event_maps_8c.html#af4ba41b575d1dddb6d07b2fd038b6c0b">  164</a></span>    <span class="keyword">private</span> autoptr <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int, ref SoundObjectBuilder&gt;</a> <a class="code hl_variable" href="../../de/d35/_day_z_anim_event_maps_8c.html#af4ba41b575d1dddb6d07b2fd038b6c0b">m_pBuilders</a>;</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>}</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span> </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span> </div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno"><a class="line" href="../../d7/d31/class_anim_sound_lookup_table_bank.html">  168</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d7/d31/class_anim_sound_lookup_table_bank.html">AnimSoundLookupTableBank</a></div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>{</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno"><a class="line" href="../../d7/d31/class_anim_sound_lookup_table_bank.html#aedbfb8d9ffa02e4a1b4a98f7ae06c18c">  170</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d31/class_anim_sound_lookup_table_bank.html#aedbfb8d9ffa02e4a1b4a98f7ae06c18c">AnimSoundLookupTableBank</a>()</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    {</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        <a class="code hl_variable" href="../../d7/d31/class_anim_sound_lookup_table_bank.html#a596558832974e1a59b05b1eb7075a1ad">m_pTables</a> = <span class="keyword">new</span> <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int, ref SoundLookupTable&gt;</a>();</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    }</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span> </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span> </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno"><a class="line" href="../../d7/d31/class_anim_sound_lookup_table_bank.html#a3d0dae213af3f440872c6212014cd7f7">  176</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d7/d31/class_anim_sound_lookup_table_bank.html">AnimSoundLookupTableBank</a> <a class="code hl_function" href="../../d7/d31/class_anim_sound_lookup_table_bank.html#a3d0dae213af3f440872c6212014cd7f7">GetInstance</a>()</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    {</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        <span class="keywordflow">if</span>(<a class="code hl_variable" href="../../d7/d31/class_anim_sound_lookup_table_bank.html#a735049f700e5fc4bf90b13bae07c05b8">m_instance</a> == NULL)</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>            <a class="code hl_variable" href="../../d7/d31/class_anim_sound_lookup_table_bank.html#a735049f700e5fc4bf90b13bae07c05b8">m_instance</a> = <span class="keyword">new</span> <a class="code hl_function" href="../../d7/d31/class_anim_sound_lookup_table_bank.html#aedbfb8d9ffa02e4a1b4a98f7ae06c18c">AnimSoundLookupTableBank</a>();</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span> </div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d7/d31/class_anim_sound_lookup_table_bank.html#a735049f700e5fc4bf90b13bae07c05b8">m_instance</a>;</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    }</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span> </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span> </div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno"><a class="line" href="../../d7/d31/class_anim_sound_lookup_table_bank.html#a07255d4a025dcb04995f5c45dd7ed681">  185</a></span>    <a class="code hl_class" href="../../d4/d4d/class_sound_lookup_table.html">SoundLookupTable</a> <a class="code hl_function" href="../../d7/d31/class_anim_sound_lookup_table_bank.html#a07255d4a025dcb04995f5c45dd7ed681">GetStepTable</a>(<span class="keywordtype">string</span> tableName)</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    {</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        <span class="keywordtype">int</span> tableNameHash = tableName.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga91035ed8b0f7e79fd215c36ddcf83bef">Hash</a>();</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span> </div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        <a class="code hl_class" href="../../d4/d4d/class_sound_lookup_table.html">SoundLookupTable</a> table = <a class="code hl_variable" href="../../d7/d31/class_anim_sound_lookup_table_bank.html#a596558832974e1a59b05b1eb7075a1ad">m_pTables</a>.Get(tableNameHash);</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        <span class="keywordflow">if</span>(table == NULL)</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        {</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>            table = <span class="keyword">new</span> <a class="code hl_function" href="../../de/d35/_day_z_anim_event_maps_8c.html#ad000e965cfc63ffa29381ef4c144f577">StepSoundLookupTable</a>();</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>            table.<a class="code hl_function" href="../../d4/d4d/class_sound_lookup_table.html#a2245278e902d1084dd77096bac226690">LoadTable</a>(tableName);</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>            <a class="code hl_variable" href="../../d7/d31/class_anim_sound_lookup_table_bank.html#a596558832974e1a59b05b1eb7075a1ad">m_pTables</a>.Insert(tableNameHash, table);</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        }</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        <span class="keywordflow">return</span> table;</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>    }</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>    </div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno"><a class="line" href="../../d7/d31/class_anim_sound_lookup_table_bank.html#afbf4ad6725a9e997b872cf1333e0fd12">  199</a></span>    <a class="code hl_class" href="../../d4/d4d/class_sound_lookup_table.html">SoundLookupTable</a> <a class="code hl_function" href="../../d7/d31/class_anim_sound_lookup_table_bank.html#afbf4ad6725a9e997b872cf1333e0fd12">GetImpactTable</a>(<span class="keywordtype">string</span> tableName)</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>    {</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>        <span class="keywordtype">int</span> tableNameHash = tableName.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga91035ed8b0f7e79fd215c36ddcf83bef">Hash</a>();</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span> </div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        <a class="code hl_class" href="../../d4/d4d/class_sound_lookup_table.html">SoundLookupTable</a> table = <a class="code hl_variable" href="../../d7/d31/class_anim_sound_lookup_table_bank.html#a596558832974e1a59b05b1eb7075a1ad">m_pTables</a>.Get(tableNameHash);</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>        <span class="keywordflow">if</span>(table == NULL)</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        {</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>            table = <span class="keyword">new</span> <a class="code hl_function" href="../../de/d35/_day_z_anim_event_maps_8c.html#ad59a99ed85a8b0e7b1e73903de0cb1a4">ImpactSoundLookupTable</a>();</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>            table.<a class="code hl_function" href="../../d4/d4d/class_sound_lookup_table.html#a2245278e902d1084dd77096bac226690">LoadTable</a>(tableName);</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>            <a class="code hl_variable" href="../../d7/d31/class_anim_sound_lookup_table_bank.html#a596558832974e1a59b05b1eb7075a1ad">m_pTables</a>.Insert(tableNameHash, table);</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>        }</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        <span class="keywordflow">return</span> table;</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>    }</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span> </div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno"><a class="line" href="../../d7/d31/class_anim_sound_lookup_table_bank.html#a735049f700e5fc4bf90b13bae07c05b8">  213</a></span>    <span class="keyword">private</span> <span class="keyword">static</span> ref <a class="code hl_class" href="../../d7/d31/class_anim_sound_lookup_table_bank.html">AnimSoundLookupTableBank</a> <a class="code hl_variable" href="../../d7/d31/class_anim_sound_lookup_table_bank.html#a735049f700e5fc4bf90b13bae07c05b8">m_instance</a>;</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno"><a class="line" href="../../d7/d31/class_anim_sound_lookup_table_bank.html#a596558832974e1a59b05b1eb7075a1ad">  214</a></span>    <span class="keyword">private</span> autoptr <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int, ref SoundLookupTable&gt;</a> <a class="code hl_variable" href="../../d7/d31/class_anim_sound_lookup_table_bank.html#a596558832974e1a59b05b1eb7075a1ad">m_pTables</a>;</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>}</div>
<div class="ttc" id="a_controls_xbox_new_8c_html_a9ec9dda576db2a36c42c1c3af155d07c"><div class="ttname"><a href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a></div><div class="ttdeci">map</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/_controls_xbox_new_8c_source.html#l00003">ControlsXboxNew.c:4</a></div></div>
<div class="ttc" id="a_day_z_anim_event_maps_8c_html_a141a6e60fcdd9ee1da8561f10c0fd3ef"><div class="ttname"><a href="../../de/d35/_day_z_anim_event_maps_8c.html#a141a6e60fcdd9ee1da8561f10c0fd3ef">PlayerVoiceLookupTable</a></div><div class="ttdeci">void PlayerVoiceLookupTable()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00098">DayZAnimEventMaps.c:98</a></div></div>
<div class="ttc" id="a_day_z_anim_event_maps_8c_html_a2fef1b7089ac6ac987f60135be3316e3"><div class="ttname"><a href="../../de/d35/_day_z_anim_event_maps_8c.html#a2fef1b7089ac6ac987f60135be3316e3">GetBuilder</a></div><div class="ttdeci">SoundObjectBuilder GetBuilder(string soundSetName)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00141">DayZAnimEventMaps.c:141</a></div></div>
<div class="ttc" id="a_day_z_anim_event_maps_8c_html_a571a3dab629c60f9d33bfde297fcf9ef"><div class="ttname"><a href="../../de/d35/_day_z_anim_event_maps_8c.html#a571a3dab629c60f9d33bfde297fcf9ef">SetNoiseParam</a></div><div class="ttdeci">void SetNoiseParam(NoiseParams param)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00103">DayZAnimEventMaps.c:103</a></div></div>
<div class="ttc" id="a_day_z_anim_event_maps_8c_html_ab9c7184df81378d39214d47a4f9264e5"><div class="ttname"><a href="../../de/d35/_day_z_anim_event_maps_8c.html#ab9c7184df81378d39214d47a4f9264e5">m_NoiseParams</a></div><div class="ttdeci">class AttachmentSoundLookupTable extends SoundLookupTable m_NoiseParams</div></div>
<div class="ttc" id="a_day_z_anim_event_maps_8c_html_ac7bf143b27c9ffb99061980c00a31d40"><div class="ttname"><a href="../../de/d35/_day_z_anim_event_maps_8c.html#ac7bf143b27c9ffb99061980c00a31d40">GetInstance</a></div><div class="ttdeci">static AnimSoundObjectBuilderBank GetInstance()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00132">DayZAnimEventMaps.c:132</a></div></div>
<div class="ttc" id="a_day_z_anim_event_maps_8c_html_ad000e965cfc63ffa29381ef4c144f577"><div class="ttname"><a href="../../de/d35/_day_z_anim_event_maps_8c.html#ad000e965cfc63ffa29381ef4c144f577">StepSoundLookupTable</a></div><div class="ttdeci">class SoundLookupTable StepSoundLookupTable()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00001">DayZAnimEventMaps.c:80</a></div></div>
<div class="ttc" id="a_day_z_anim_event_maps_8c_html_ad59a99ed85a8b0e7b1e73903de0cb1a4"><div class="ttname"><a href="../../de/d35/_day_z_anim_event_maps_8c.html#ad59a99ed85a8b0e7b1e73903de0cb1a4">ImpactSoundLookupTable</a></div><div class="ttdeci">void ImpactSoundLookupTable()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00127">DayZAnimEventMaps.c:127</a></div></div>
<div class="ttc" id="a_day_z_anim_event_maps_8c_html_ad9f3c2bae4fe40eb592729f491a46fee"><div class="ttname"><a href="../../de/d35/_day_z_anim_event_maps_8c.html#ad9f3c2bae4fe40eb592729f491a46fee">GetNoiseParam</a></div><div class="ttdeci">NoiseParams GetNoiseParam()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00108">DayZAnimEventMaps.c:108</a></div></div>
<div class="ttc" id="a_day_z_anim_event_maps_8c_html_adceb43f712de5b9513cba768e0b6fd23"><div class="ttname"><a href="../../de/d35/_day_z_anim_event_maps_8c.html#adceb43f712de5b9513cba768e0b6fd23">m_instance</a></div><div class="ttdeci">static private ref AnimSoundObjectBuilderBank m_instance</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00163">DayZAnimEventMaps.c:163</a></div></div>
<div class="ttc" id="a_day_z_anim_event_maps_8c_html_af4ba41b575d1dddb6d07b2fd038b6c0b"><div class="ttname"><a href="../../de/d35/_day_z_anim_event_maps_8c.html#af4ba41b575d1dddb6d07b2fd038b6c0b">m_pBuilders</a></div><div class="ttdeci">private autoptr map&lt; int, ref SoundObjectBuilder &gt; m_pBuilders</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00164">DayZAnimEventMaps.c:164</a></div></div>
<div class="ttc" id="a_day_z_anim_event_maps_8c_html_afc0ccb865e0b295172b8dbed472db090"><div class="ttname"><a href="../../de/d35/_day_z_anim_event_maps_8c.html#afc0ccb865e0b295172b8dbed472db090">AnimSoundObjectBuilderBank</a></div><div class="ttdeci">class ImpactSoundLookupTable extends SoundLookupTable AnimSoundObjectBuilderBank()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00115">DayZAnimEventMaps.c:126</a></div></div>
<div class="ttc" id="a_noise_8c_html_aceda78b4f4625e1c9901f7bf4a7f5cf0"><div class="ttname"><a href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a></div><div class="ttdeci">class NoiseSystem NoiseParams()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d27/_noise_8c_source.html#l00001">Noise.c:15</a></div></div>
<div class="ttc" id="a_option_selector_multistate_8c_html_a46c20eb2a26abeb1e934cd66e1dd6484"><div class="ttname"><a href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a></div><div class="ttdeci">string path</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00149">OptionSelectorMultistate.c:149</a></div></div>
<div class="ttc" id="aclass_anim_sound_lookup_table_bank_html"><div class="ttname"><a href="../../d7/d31/class_anim_sound_lookup_table_bank.html">AnimSoundLookupTableBank</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00168">DayZAnimEventMaps.c:169</a></div></div>
<div class="ttc" id="aclass_anim_sound_lookup_table_bank_html_a07255d4a025dcb04995f5c45dd7ed681"><div class="ttname"><a href="../../d7/d31/class_anim_sound_lookup_table_bank.html#a07255d4a025dcb04995f5c45dd7ed681">AnimSoundLookupTableBank::GetStepTable</a></div><div class="ttdeci">SoundLookupTable GetStepTable(string tableName)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00185">DayZAnimEventMaps.c:185</a></div></div>
<div class="ttc" id="aclass_anim_sound_lookup_table_bank_html_a3d0dae213af3f440872c6212014cd7f7"><div class="ttname"><a href="../../d7/d31/class_anim_sound_lookup_table_bank.html#a3d0dae213af3f440872c6212014cd7f7">AnimSoundLookupTableBank::GetInstance</a></div><div class="ttdeci">static AnimSoundLookupTableBank GetInstance()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00176">DayZAnimEventMaps.c:176</a></div></div>
<div class="ttc" id="aclass_anim_sound_lookup_table_bank_html_a596558832974e1a59b05b1eb7075a1ad"><div class="ttname"><a href="../../d7/d31/class_anim_sound_lookup_table_bank.html#a596558832974e1a59b05b1eb7075a1ad">AnimSoundLookupTableBank::m_pTables</a></div><div class="ttdeci">private autoptr map&lt; int, ref SoundLookupTable &gt; m_pTables</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00214">DayZAnimEventMaps.c:214</a></div></div>
<div class="ttc" id="aclass_anim_sound_lookup_table_bank_html_a735049f700e5fc4bf90b13bae07c05b8"><div class="ttname"><a href="../../d7/d31/class_anim_sound_lookup_table_bank.html#a735049f700e5fc4bf90b13bae07c05b8">AnimSoundLookupTableBank::m_instance</a></div><div class="ttdeci">static private ref AnimSoundLookupTableBank m_instance</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00213">DayZAnimEventMaps.c:213</a></div></div>
<div class="ttc" id="aclass_anim_sound_lookup_table_bank_html_aedbfb8d9ffa02e4a1b4a98f7ae06c18c"><div class="ttname"><a href="../../d7/d31/class_anim_sound_lookup_table_bank.html#aedbfb8d9ffa02e4a1b4a98f7ae06c18c">AnimSoundLookupTableBank::AnimSoundLookupTableBank</a></div><div class="ttdeci">void AnimSoundLookupTableBank()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00170">DayZAnimEventMaps.c:170</a></div></div>
<div class="ttc" id="aclass_anim_sound_lookup_table_bank_html_afbf4ad6725a9e997b872cf1333e0fd12"><div class="ttname"><a href="../../d7/d31/class_anim_sound_lookup_table_bank.html#afbf4ad6725a9e997b872cf1333e0fd12">AnimSoundLookupTableBank::GetImpactTable</a></div><div class="ttdeci">SoundLookupTable GetImpactTable(string tableName)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00199">DayZAnimEventMaps.c:199</a></div></div>
<div class="ttc" id="aclass_c_game_html_a03909ec186a2f1d7c5c649a80f4819b6"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a03909ec186a2f1d7c5c649a80f4819b6">CGame::ConfigGetChildName</a></div><div class="ttdeci">proto bool ConfigGetChildName(string path, int index, out string name)</div><div class="ttdoc">Get name of subclass in config class on path.</div></div>
<div class="ttc" id="aclass_c_game_html_a7cc2a75cac35759a1bdffa796ff0aa65"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a7cc2a75cac35759a1bdffa796ff0aa65">CGame::ConfigGetTextArray</a></div><div class="ttdeci">proto native void ConfigGetTextArray(string path, out TStringArray values)</div><div class="ttdoc">Get array of strings from config on path.</div></div>
<div class="ttc" id="aclass_c_game_html_a87b6e86f92ca647026095bb221c98650"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a87b6e86f92ca647026095bb221c98650">CGame::ConfigGetText</a></div><div class="ttdeci">proto bool ConfigGetText(string path, out string value)</div><div class="ttdoc">Get string value from config on path.</div></div>
<div class="ttc" id="aclass_c_game_html_aca38b9a2b4a3fee55c9e4dfc64df2a3b"><div class="ttname"><a href="../../d2/de6/class_c_game.html#aca38b9a2b4a3fee55c9e4dfc64df2a3b">CGame::ConfigGetChildrenCount</a></div><div class="ttdeci">proto native int ConfigGetChildrenCount(string path)</div><div class="ttdoc">Get count of subclasses in config class on path.</div></div>
<div class="ttc" id="aclass_sound_lookup_table_html"><div class="ttname"><a href="../../d4/d4d/class_sound_lookup_table.html">SoundLookupTable</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00001">DayZAnimEventMaps.c:2</a></div></div>
<div class="ttc" id="aclass_sound_lookup_table_html_a0965cc11036d03ca5fa981a57ae85028"><div class="ttname"><a href="../../d4/d4d/class_sound_lookup_table.html#a0965cc11036d03ca5fa981a57ae85028">SoundLookupTable::AttachmentSoundLookupTable</a></div><div class="ttdeci">void AttachmentSoundLookupTable()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00088">DayZAnimEventMaps.c:88</a></div></div>
<div class="ttc" id="aclass_sound_lookup_table_html_a2245278e902d1084dd77096bac226690"><div class="ttname"><a href="../../d4/d4d/class_sound_lookup_table.html#a2245278e902d1084dd77096bac226690">SoundLookupTable::LoadTable</a></div><div class="ttdeci">void LoadTable(string soundLookupTableName)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00014">DayZAnimEventMaps.c:14</a></div></div>
<div class="ttc" id="aclass_sound_lookup_table_html_a527f20458515b50c84f754f769d2c35f"><div class="ttname"><a href="../../d4/d4d/class_sound_lookup_table.html#a527f20458515b50c84f754f769d2c35f">SoundLookupTable::m_soundBuilders</a></div><div class="ttdeci">private ref map&lt; int, ref array&lt; SoundObjectBuilder &gt; &gt; m_soundBuilders</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00074">DayZAnimEventMaps.c:74</a></div></div>
<div class="ttc" id="aclass_sound_lookup_table_html_a58af179b4a3b943c0a7f700704e4810f"><div class="ttname"><a href="../../d4/d4d/class_sound_lookup_table.html#a58af179b4a3b943c0a7f700704e4810f">SoundLookupTable::GetSoundBuilder</a></div><div class="ttdeci">SoundObjectBuilder GetSoundBuilder(int parameterHash)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00052">DayZAnimEventMaps.c:52</a></div></div>
<div class="ttc" id="aclass_sound_lookup_table_html_a7e7b56ad2bc4aae29c3a9d6cd1aae793"><div class="ttname"><a href="../../d4/d4d/class_sound_lookup_table.html#a7e7b56ad2bc4aae29c3a9d6cd1aae793">SoundLookupTable::m_tableCategoryName</a></div><div class="ttdeci">private string m_tableCategoryName</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00072">DayZAnimEventMaps.c:72</a></div></div>
<div class="ttc" id="aclass_sound_lookup_table_html_a84ae79b40db0c4ecc3b079ab2e7a6b8a"><div class="ttname"><a href="../../d4/d4d/class_sound_lookup_table.html#a84ae79b40db0c4ecc3b079ab2e7a6b8a">SoundLookupTable::ImpactSoundLookupTable</a></div><div class="ttdeci">void ImpactSoundLookupTable()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00117">DayZAnimEventMaps.c:117</a></div></div>
<div class="ttc" id="aclass_sound_lookup_table_html_a91edb2bd4fde994fa8a972f3ca61c276"><div class="ttname"><a href="../../d4/d4d/class_sound_lookup_table.html#a91edb2bd4fde994fa8a972f3ca61c276">SoundLookupTable::InitTable</a></div><div class="ttdeci">void InitTable(string tableCategoryName, string parameterName)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00008">DayZAnimEventMaps.c:8</a></div></div>
<div class="ttc" id="aclass_sound_lookup_table_html_adc0c3f1dec56392254740001d650d6ea"><div class="ttname"><a href="../../d4/d4d/class_sound_lookup_table.html#adc0c3f1dec56392254740001d650d6ea">SoundLookupTable::m_parameterName</a></div><div class="ttdeci">private string m_parameterName</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00073">DayZAnimEventMaps.c:73</a></div></div>
<div class="ttc" id="aclass_sound_lookup_table_html_af6545e6498afc26a0df32f2dd14004f9"><div class="ttname"><a href="../../d4/d4d/class_sound_lookup_table.html#af6545e6498afc26a0df32f2dd14004f9">SoundLookupTable::SoundLookupTable</a></div><div class="ttdeci">void SoundLookupTable()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00003">DayZAnimEventMaps.c:3</a></div></div>
<div class="ttc" id="aclass_sound_object_builder_html"><div class="ttname"><a href="../../d5/db9/class_sound_object_builder.html">SoundObjectBuilder</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d13/_sound_8c_source.html#l00045">Sound.c:46</a></div></div>
<div class="ttc" id="aclass_sound_params_html"><div class="ttname"><a href="../../d8/d6b/class_sound_params.html">SoundParams</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d13/_sound_8c_source.html#l00072">Sound.c:73</a></div></div>
<div class="ttc" id="aclass_sound_params_html_a6dae982ef30518465da3e3d54395fc3c"><div class="ttname"><a href="../../d8/d6b/class_sound_params.html#a6dae982ef30518465da3e3d54395fc3c">SoundParams::IsValid</a></div><div class="ttdeci">proto native bool IsValid()</div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___debug_html_gaaa9351d895a1f244a26fd635c378c536"><div class="ttname"><a href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a></div><div class="ttdeci">proto void Print(void var)</div><div class="ttdoc">Prints content of variable to console/log.</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_gac34f9f8daa0e311b6a6b40cc21d38226"><div class="ttname"><a href="../../d5/d98/group___math.html#gac34f9f8daa0e311b6a6b40cc21d38226">Math::RandomInt</a></div><div class="ttdeci">static proto int RandomInt(int min, int max)</div><div class="ttdoc">Returns a random int number between and min [inclusive] and max [exclusive].</div></div>
<div class="ttc" id="agroup___strings_html_ga91035ed8b0f7e79fd215c36ddcf83bef"><div class="ttname"><a href="../../d5/da2/group___strings.html#ga91035ed8b0f7e79fd215c36ddcf83bef">string::Hash</a></div><div class="ttdeci">proto native int Hash()</div><div class="ttdoc">Returns hash of string.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../de/d35/_day_z_anim_event_maps_8c.html">DayZAnimEventMaps.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
